Ansible nodejs-nginx-supervisor
===============================

An Ansible role to setup and manage a NodeJS app via supervisor, and served up on a NGINX web server.  The goal of this
role is to make deployment of a NodeJS app as a simple and sane as possible.  Additionally the role uses the underlying 
nginx-supervisor to provide sane defaults for logging and folder structure setup.

**This role is under development and is unstable.**

Requirements
------------

Any pre-requisites that may not be covered by Ansible itself or the role should be mentioned here. For instance, if the role uses the EC2 module, it may be a good idea to mention in this section that the boto package is required.

Role Variables
--------------

A description of the settable variables for this role should go here, including any variables that are in defaults/main.yml, vars/main.yml, and any variables that can/should be set via parameters to the role. Any variables that are read from other roles and/or the global scope (ie. hostvars, group vars, etc.) should be mentioned here as well.

Dependencies
------------

A list of other roles hosted on Galaxy should go here, plus any details in regards to parameters that may need to be set for other roles, or variables that are used from other roles.

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - { role: username.rolename, x: 42 }

License
-------

BSD

Author Information
------------------

Dorian Pula

- twitter: @dorianpula
- email: dorian.pula at amber-penguin.software.ca
- www: http://amber-penguin-software.ca


Repositories
------------

- Main: https://bitbucket.org/dorianpula/ansible-nodejs-nginx-supervisor
    - All development and issues are worked on this repo.
- nodejs base role: https://bitbucket.org/dorianpula/ansible-nodejs
- nginx-supervisor base role: https://bitbucket.org/dorianpula/ansible-nginx-supervisor
